summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2022-09-20 13:09:12 +0200
committerRemi Collet <remi@php.net>2022-09-20 13:09:12 +0200
commit3da591415eab820e8d929ea23b14ca7755dbfa5c (patch)
treea3fcf065b2f014824b1945789b8ea9bc6da7f2a2
parent46b8aa989848d7e0f45113e6d969685b5c5b8e13 (diff)
update to 1.7.0HEADmaster
raise dependency on PHP 7.4 raise dependency on laminas-diactoros 2.0
-rw-r--r--composer.json16
-rw-r--r--php-laminas-psr7bridge.spec38
2 files changed, 31 insertions, 23 deletions
diff --git a/composer.json b/composer.json
index 11d4c8b..402ed1d 100644
--- a/composer.json
+++ b/composer.json
@@ -18,20 +18,26 @@
"forum": "https://discourse.laminas.dev"
},
"config": {
- "sort-packages": true
+ "sort-packages": true,
+ "platform": {
+ "php": "7.4.99"
+ },
+ "allow-plugins": {
+ "dealerdirect/phpcodesniffer-composer-installer": true
+ }
},
"extra": {
},
"require": {
- "php": "^7.3 || ~8.0.0 || ~8.1.0",
- "laminas/laminas-diactoros": "^1.7 || ^2.0",
+ "php": "^7.4 || ~8.0.0 || ~8.1.0",
+ "laminas/laminas-diactoros": "^2.0",
"laminas/laminas-http": "^2.15",
"psr/http-message": "^1.0"
},
"require-dev": {
- "laminas/laminas-coding-standard": "~1.0.0",
+ "laminas/laminas-coding-standard": "^2.4.0",
"phpunit/phpunit": "^9.5.10",
- "psalm/plugin-phpunit": "^0.16.1",
+ "psalm/plugin-phpunit": "^0.17.0",
"vimeo/psalm": "^4.11"
},
"conflict": {
diff --git a/php-laminas-psr7bridge.spec b/php-laminas-psr7bridge.spec
index a121880..39205e2 100644
--- a/php-laminas-psr7bridge.spec
+++ b/php-laminas-psr7bridge.spec
@@ -1,13 +1,13 @@
# remirepo/Fedora spec file for php-laminas-psr7bridge
#
-# Copyright (c) 2016-2021 Remi Collet
+# Copyright (c) 2016-2022 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/
#
# Please, preserve the changelog entries
#
%global bootstrap 0
-%global gh_commit c151fe1bff398309f95f20c16f48398ee194ee62
+%global gh_commit 7318e3762d25cf802fa0589aecf3d9b3eb411f3f
%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner laminas
%global gh_project laminas-psr7bridge
@@ -22,7 +22,7 @@
%endif
Name: php-%{gh_project}
-Version: 1.6.0
+Version: 1.7.0
Release: 1%{?dist}
Summary: %{namespace} Framework %{library} component
@@ -34,28 +34,28 @@ Source1: makesrc.sh
BuildArch: noarch
# Tests
%if %{with_tests}
-BuildRequires: php(language) >= 7.3
+BuildRequires: php(language) >= 7.4
BuildRequires: php-reflection
BuildRequires: php-intl
BuildRequires: php-pcre
BuildRequires: php-spl
# remirepo:1
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
-BuildRequires: (php-autoloader(%{gh_owner}/laminas-diactoros) >= 1.7 with php-autoloader(%{gh_owner}/laminas-diactoros) < 3)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-diactoros) >= 2.0 with php-autoloader(%{gh_owner}/laminas-diactoros) < 3)
BuildRequires: (php-autoloader(%{gh_owner}/laminas-http) >= 2.15 with php-autoloader(%{gh_owner}/laminas-http) < 3)
BuildRequires: (php-autoloader(%{gh_owner}/laminas-zendframework-bridge) >= 1.0 with php-autoloader(%{gh_owner}/laminas-zendframework-bridge) < 2)
BuildRequires: (php-composer(psr/http-message) >= 1.0 with php-composer(psr/http-message) < 2)
# remirepo:6
%else
-BuildRequires: php-laminas-diactoros
+BuildRequires: php-laminas-diactoros2
BuildRequires: php-laminas-http
BuildRequires: php-laminas-zendframework-bridge
BuildRequires: php-psr-http-message
%endif
# From composer, "require-dev": {
-# "laminas/laminas-coding-standard": "~1.0.0",
+# "laminas/laminas-coding-standard": "~2.4.0",
# "phpunit/phpunit": "^9.5.10",
-# "psalm/plugin-phpunit": "^0.16.1",
+# "psalm/plugin-phpunit": "^0.17.0",
# "vimeo/psalm": "^4.11"
BuildRequires: phpunit9 >= 9.5.10
%endif
@@ -63,20 +63,20 @@ BuildRequires: phpunit9 >= 9.5.10
BuildRequires: php-fedora-autoloader-devel
# From composer, "require": {
-# "php": "^7.3 || ~8.0.0 || ~8.1.0",
-# "laminas/laminas-diactoros": "^1.7 || ^2.0",
+# "php": "^7.4 || ~8.0.0 || ~8.1.0",
+# "laminas/laminas-diactoros": "^2.0",
# "laminas/laminas-http": "^2.15",
# "psr/http-message": "^1.0"
-Requires: php(language) >= 7.3
+Requires: php(language) >= 7.4
# remirepo:1
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
-Requires: (php-autoloader(%{gh_owner}/laminas-diactoros) >= 1.7 with php-autoloader(%{gh_owner}/laminas-diactoros) < 3)
+Requires: (php-autoloader(%{gh_owner}/laminas-diactoros) >= 2.0 with php-autoloader(%{gh_owner}/laminas-diactoros) < 3)
Requires: (php-autoloader(%{gh_owner}/laminas-http) >= 2.15 with php-autoloader(%{gh_owner}/laminas-http) < 3)
Requires: (php-autoloader(%{gh_owner}/laminas-zendframework-bridge) >= 1.0 with php-autoloader(%{gh_owner}/laminas-zendframework-bridge) < 2)
Requires: (php-composer(psr/http-message) >= 1.0 with php-composer(psr/http-message) < 2)
# remirepo:6
%else
-Requires: php-laminas-diactoros
+Requires: php-laminas-diactoros2
Requires: php-laminas-http
Requires: php-laminas-zendframework-bridge
Requires: php-psr-http-message
@@ -115,10 +115,7 @@ cat << 'EOF' | tee -a src/autoload.php
\Fedora\Autoloader\Dependencies::required([
'%{php_home}/%{namespace}/Http/autoload.php',
'%{php_home}/Psr/Http/Message/autoload.php',
- [
- '%{php_home}/%{namespace}/Diactoros2/autoload.php',
- '%{php_home}/%{namespace}/Diactoros/autoload.php',
- ],
+ '%{php_home}/%{namespace}/Diactoros2/autoload.php',
]);
EOF
@@ -159,7 +156,7 @@ exit (class_exists("\\Zend\\%{library}\\Psr7Response") ? 0 : 1);
: upstream test suite
ret=0
-for cmd in php php74 php80 php81; do
+for cmd in php php74 php80 php81 php82; do
if which $cmd; then
$cmd %{_bindir}/phpunit9 || ret=1
fi
@@ -181,6 +178,11 @@ exit $ret
%changelog
+* Tue Sep 20 2022 Remi Collet <remi@remirepo.net> - 1.7.0-1
+- update to 1.7.0
+- raise dependency on PHP 7.4
+- raise dependency on laminas-diactoros 2.0
+
* Tue Dec 7 2021 Remi Collet <remi@remirepo.net> - 1.6.0-1
- update to 1.6.0 (no change)
- keep compatibility using laminas-zendframework-bridge